﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CMDCompanion
{
    /// <summary>
    /// Interaction logic for CMDMenuItem.xaml
    /// </summary>
    public partial class CMDMenuItem : MenuItem
    {
        public CMDMenuItem()
        {
            InitializeComponent();
            Item.Header = "Open \"" + this.Tag.ToString() + "\"";

        }

        [DllImport("kernel32.dll", CharSet = CharSet.Auto)]

        public static extern int GetShortPathName(

                   [MarshalAs(UnmanagedType.LPTStr)]

                   string path,

                   [MarshalAs(UnmanagedType.LPTStr)]

                   StringBuilder shortPath,

                   int shortPathLength

                   );

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            StringBuilder shortPath = new StringBuilder(255);
            GetShortPathName(this.Tag.ToString(), shortPath, shortPath.Capacity);

            var startInfo = new System.Diagnostics.ProcessStartInfo
            {
                WorkingDirectory = shortPath.ToString(),
                WindowStyle = System.Diagnostics.ProcessWindowStyle.Normal,
                FileName = "cmd.exe",
                RedirectStandardInput = true,
                UseShellExecute = false
            };
            System.Diagnostics.Process.Start(startInfo);
        }
    }
}
